Skip to main content

Retrieve a collection of payout payments

GET 

/api/payout_transaction_details

This API endpoint is intended to retrieve a collection of payout payments, specifically recent payout payments for an account.

Request

Query Parameters

    page integer

    Default value: 1

    The collection page number

    itemsPerPage integer

    Possible values: <= 50

    Default value: 30

    The number of items per page

    pagination boolean

    Enable or disable pagination

    currency string
    amount[lt] string
    amount[lte] string
    amount[gt] string
    amount[gte] string
    executionDate[lte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    executionDate[lt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    executionDate[gte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    executionDate[gt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    order[id] string

    Possible values: [ASC, DESC]

    Sort the results by the specified field

Responses

OK - The request was processed successfully.

Schema
  • Array [
  • id integer
    account integer
    currency string
    amount stringnullable
    status string

    Possible values: [created, pending, transferred, canceled, pending_execution, executed, execution_error]

    executionDate stringnullable

    If left empty, the next possible execution date will be selected automatically

    transferredAt stringnullable
    finishedAt stringnullable
    reference stringnullable

    This text will be seen by the beneficiary

    feeSchedule string

    Possible values: [DEBT, SHAR, CRED]

    For LOCAL payments leave it empty, for SWIFT payments provide a value

    contact integer
    beneficiary objectnullable
    accountNumber string
    bankName stringnullable
    bankCountry stringnullable
    name string
    address stringnullable
    city stringnullable
    zip stringnullable
    country stringnullable
    contact stringnullable
    fromAutomation boolean
  • ]
Loading...